/*
 * Copyright 2008 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
package org.nakedosgi.annotations.scr;

/**
 * Annotation for aggregating multiple {@link SCRProperty} annotations.
 * Note that this annotation is not intended for the <i>properties</i> element 
 * of the SCR component configuration XML, which specifies a properties 
 * <i>file</i>.  To specify one or more properties files, use 
 * {@link PropertiesFile} or {@link PropertiesFiles}
 * 
 * @author Evan Cowden
 */
public @interface SCRProperties {

    SCRProperty[] value();
}
