/*
 * Copyright 2007 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
package org.nakedosgi.manifest;

import java.util.Map;
import static org.nakedosgi.manifest.ManifestConstants.*;

/**
 * Builder for the basic properties of a manifest, such as Manifest-Version
 * Evan Cowden
 */
public class BasicManifestBuilder {

    /**
     * Append basic manifest info to a manifest, such as a Manifest-Version
     * @param existingEntries
     */
    public static void build(Map<String, String> manifest) {
        Util.addIfNewKey(manifest, MANIFEST_VERSION_KEY, MANIFEST_VERSION_DEFAULT);
    }
}
