/*
 * Copyright 2008 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
package org.nakedosgi.processor.scr.model;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ejc.osgi.apt.binding package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Component_QNAME = new QName("http://www.osgi.org/xmlns/scr/v1.0.0", "component");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ejc.osgi.apt.binding
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Provide }
     * 
     */
    public Provide createTprovide() {
        return new Provide();
    }

    /**
     * Create an instance of {@link Properties }
     * 
     */
    public Properties createTproperties() {
        return new Properties();
    }

    /**
     * Create an instance of {@link Implementation }
     * 
     */
    public Implementation createTimplementation() {
        return new Implementation();
    }

    /**
     * Create an instance of {@link Reference }
     * 
     */
    public Reference createTreference() {
        return new Reference();
    }

    /**
     * Create an instance of {@link Component }
     * 
     */
    public Component createTcomponent() {
        return new Component();
    }

    /**
     * Create an instance of {@link Service }
     * 
     */
    public Service createTservice() {
        return new Service();
    }

    /**
     * Create an instance of {@link Property }
     * 
     */
    public Property createTproperty() {
        return new Property();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Component }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.osgi.org/xmlns/scr/v1.0.0", name = "component")
    public JAXBElement<Component> createComponent(Component value) {
        return new JAXBElement<Component>(_Component_QNAME, Component.class, null, value);
    }

}
